# Generated by Django 2.0.7 on 2018-07-30 13:52

from django.db import migrations, models
import django.db.models.deletion
import jsonfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('organization', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Study',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('guid', models.UUIDField(unique=True)),
                ('study_instance_uid', models.CharField(blank=True, max_length=100, null=True)),
                ('accession_number', models.CharField(blank=True, max_length=20, null=True)),
                ('study_date', models.DateField(blank=True, null=True)),
                ('study_time', models.TimeField(blank=True, null=True)),
                ('study_description', models.TextField(blank=True, null=True)),
                ('institution_name', models.CharField(blank=True, max_length=50, null=True)),
                ('station_name', models.CharField(blank=True, max_length=50, null=True)),
                ('modality', models.CharField(blank=True, choices=[('CT', 'CT'), ('NM', 'NM'), ('MR', 'MR'), ('DS', 'DS'), ('DR', 'DR'), ('US', 'US'), ('OT', 'OT'), ('HSG', 'HSG'), ('CR', 'CR'), ('OP', 'OP'), ('DX', 'DX')], max_length=10, null=True)),
                ('priority', models.CharField(blank=True, choices=[('routine', 'Routine'), ('urgent', 'Urgent')], default='routine', max_length=10, null=True)),
                ('patient_id', models.CharField(blank=True, max_length=20, null=True)),
                ('patient_name', models.CharField(blank=True, max_length=50, null=True)),
                ('patient_gender', models.CharField(blank=True, choices=[('M', 'Male'), ('F', 'Female')], max_length=2, null=True)),
                ('patient_date_of_birth', models.CharField(blank=True, max_length=10, null=True)),
                ('patient_year_of_birth', models.CharField(blank=True, max_length=4, null=True)),
                ('patient_telephone_number', models.CharField(blank=True, max_length=20, null=True)),
                ('referring_physician_name', models.CharField(blank=True, max_length=30, null=True)),
                ('additional_patient_history', models.TextField(blank=True, null=True)),
                ('questionnaire', jsonfield.fields.JSONField(blank=True, null=True)),
                ('number_of_dicom_images', models.IntegerField(blank=True, null=True)),
                ('status', models.CharField(blank=True, choices=[('created', 'Created'), ('stored', 'Stored'), ('assigned', 'Assigned'), ('archived', 'Archived')], default='created', max_length=20, null=True)),
                ('zip_file', jsonfield.fields.JSONField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('body_part', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='studies', to='organization.BodyPart')),
                ('facility', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='studies', to='organization.Facility')),
                ('procedure', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='studies', to='organization.Procedure')),
            ],
            options={
                'verbose_name_plural': 'Studies',
                'db_table': 'studies',
            },
        ),
    ]
